Support » WooCommerce » Kritischer Fehler beim erstellen neuer Produkte nach Updates

  • Hallo

    wir haben vor einigen Tagen unsere WordPress Installation upgedated. Dabei hat sich wohl ein Fehler eingeschlichen. Sobald wir ein vorhandenes Produkt bearbeiten und aktualisieren wird ein kritischer Fehler auf der Webseite angezeigt. Die Änderungen werden jedoch gespeichert. Die dazugehörige E-Mail Fehlerbenachrichtigung lautet:

    Ein Fehler vom Typ E_ERROR wurde in der Zeile 126 der Datei /home/wp/disk/wordpress/wp-content/plugins/woocommerce/includes/wc-notice-functions.php verursacht. Fehlermeldung: Uncaught Error: Call to a member function set() on null in /home/wp/disk/wordpress/wp-content/plugins/woocommerce/includes/wc-notice-functions.php:126

    Stack trace:

    #0 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/product_snippets/product_snippet_tabs.php(141): wc_clear_notices()

    #1 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/class-shortcode-template.php(1181): avia_sc_product_tabs->shortcode_handler()

    #2 /home/wp/disk/wordpress/wp-includes/shortcodes.php(433): aviaShortcodeTemplate->shortcode_handler_prepare()

    #3 [internal function]: do_shortcode_tag()

    #4 /home/wp/disk/wordpress/wp-includes/shortcodes.php(273): preg_replace_callback()

    #5 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/class-shortcode-helper.php(580): do_shortcode()

    #6 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/columns/columns.php(2072): ShortcodeHelper::avia_apply_autop()

    #7 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/class-shortcode-template.php(1181): avia_sc_columns->shortcode_handler()

    #8 /home/wp/disk/wordpress/wp-includes/shortcodes.php(433): aviaShortcodeTemplate->shortcode_handler_prepare()

    #9 [internal function]: do_shortcode_tag()

    #10 /home/wp/disk/wordpress/wp-includes/shortcodes.php(273): preg_replace_callback()

    #11 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/class-shortcode-helper.php(559): do_shortcode()

    #12 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/section/section.php(1466): ShortcodeHelper::avia_remove_autop()

    #13 /home/wp/disk/wordpress/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/class-shortcode-template.php(1181): avia_sc_section->shortcode_handler()

    #14 /home/wp/disk/wordpress/wp-includes/shortcodes.php(433): aviaShortcodeTemplate->shortcode_handler_prepare()

    #15 [internal function]: do_shortcode_tag()

    #16 /home/wp/disk/wordpress/wp-includes/shortcodes.php(273): preg_replace_callback()

    #17 /home/wp/disk/wordpress/wp-includes/class-wp-hook.php(324): do_shortcode()

    #18 /home/wp/disk/wordpress/wp-includes/plugin.php(205): WP_Hook->apply_filters()

    #19 /home/wp/disk/wordpress/wp-content/plugins/wordpress-seo/src/builders/indexable-link-builder.php(117): apply_filters()

    #20 /home/wp/disk/wordpress/wp-content/plugins/wordpress-seo/src/integrations/watchers/indexable-post-watcher.php(209): Yoast\WP\SEO\Builders\Indexable_Link_Builder->build()

    #21 /home/wp/disk/wordpress/wp-includes/class-wp-hook.php(326): Yoast\WP\SEO\Integrations\Watchers\Indexable_Post_Watcher->build_indexable()

    #22 /home/wp/disk/wordpress/wp-includes/class-wp-hook.php(348): WP_Hook->apply_filters()

    #23 /home/wp/disk/wordpress/wp-includes/plugin.php(517): WP_Hook->do_action()

    #24 /home/wp/disk/wordpress/wp-includes/post.php(4771): do_action()

    #25 /home/wp/disk/wordpress/wp-includes/post.php(4862): wp_insert_post()

    #26 /home/wp/disk/wordpress/wp-admin/includes/post.php(453): wp_update_post()

    #27 /home/wp/disk/wordpress/wp-admin/post.php(227): edit_post()

    #28 {main}

      thrown

    Wir nutzen WordPress-Version 6.4.4

    Aktives Theme: Enfold Child (Version 1.0) Aktuelles Plugin: WooCommerce (Version 8.9.2) PHP-Version 8.1.28

    Vielen Dank für die Unterstützung Marc

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 1 Antwort (von insgesamt 1)
  • Du verwendest ein gekauftes Theme (Enfold), zu dem wir hier keinen Support anbieten. Das Theme wird uns für unseren kostenlosen Support nicht zur Verfügung gestellt. Bitte wende dich an den Entwickler.

    Die WordPress-Version sollte baldmöglichst aktualisiert werden.

Ansicht von 1 Antwort (von insgesamt 1)